include <common.scad>

module orange_pi_pillars(size) {
    hole_radius = 2.7/2;
    hole_center = 1.3+hole_radius;
    translate([0, 0, -pillar_size[0]/2]) union() {
        // bottom
        translate([hole_center,         hole_center,         0]) pillar();
        translate([size[0]-hole_center, hole_center,         0]) pillar();
        // top
        translate([hole_center,         size[1]-hole_center, 0]) pillar();
        translate([size[0]-hole_center, size[1]-hole_center, 0]) pillar();
    }
}

module orange_pi_4_tray() {
    union() {
        tray();
        translate(offset_pi(orange_pi_4_size)) orange_pi_pillars(orange_pi_4_size);
    }
}

module orange_pi_pc_tray() {
    union() {
        tray();
        translate(offset_pi(orange_pi_pc_size)) orange_pi_pillars(orange_pi_pc_size);
    }
}

// translate(offset_pi(orange_pi_4_size)) orange_pi_4();
// orange_pi_4_tray();
// translate(offset_pi(orange_pi_pc_size)) orange_pi_pc();
// orange_pi_pc_tray();